# frozen_string_literal: true

Application.boot(:karafka, from: :platform) do
  configure do |config|
    config.kafka_host = container[:settings].kafka_host
    config.client_id = container.name
    config.prefix = container[:settings].kafka_topic_prefix
    config.backend = :inline
  end

  after(:start) do
    ::Karafka::App.boot!
  end
end